export type MyTableConfig<T> = Array<{
  heading: string;
  keyInData: keyof T;
}>;

export type MyTableProps<T> = {
  config: MyTableConfig<T>;
  data: T[];
  onNewItem: () => void;
  onEditItem: (id: number) => void;
};
